# $Revision: 1.33 $, $Date: 2007/01/24 10:32:34 $
Summary:	Library to find what country an IP address or hostnames originate from
Summary(pl):	Biblioteka do sprawdzenia z jakiego kraju pochodzi adres IP lub domena
Name:		GeoIP
Version:	1.4.1
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://www.maxmind.com/download/geoip/api/c/%{name}-%{version}.tar.gz
# Source0-md5:	3a8f841b2a113b80ba2ed3b988826d00
# note: "c" is a filename, do not add '/'
URL:		http://www.maxmind.com/app/c
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	zlib-devel
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GeoIP is a C library that enables the user to find the country that
any IP address or hostname originates from. It uses a file based
database that is accurate as of March 2003. This database simply
contains IP blocks as keys, and countries as values. This database
should be more complete and accurate than using reverse DNS lookups.
Commercial databases and automatic update services are available from
<http://www.maxmind.com/>.

This library can be used to automatically select the geographically
closest mirror, to analyze your web server logs to determine the
countries of your visitors, for credit card fraud detection, and for
software export controls.

%description -l pl
GeoIP jest bibliotek napisan w C umoliwiajc uytkownikowi
odnalezienie pastwa, z ktrego pochodzi dany adres IP lub domena.
Uywa do tego zapisanej w pliku bazy danych (z marca 2003). W bazie
tej adresy IP s kluczami, a pastwa wartociami. Powinna ona by
dokadniejsza ni sprawdzanie odwrotnego DNS. Komercyjne bazy oraz
usugi automatycznych aktualizacji dostpne s na stronie
<http://www.maxmind.com/>.

Ta biblioteka moe by uywana do automatycznego wyboru najbliszego
geograficznie mirrora, analizy logw serwera WWW w celu okrelenia
kraju, z ktrego pochodz odwiedzajcy, do wykrywania oszustw
dotyczcych kart kredytowych oraz kontroli eksportu oprogramowania.

%package libs
Summary:	GeoIP Library
Summary(pl):	Biblioteka GeoIP
Group:		Libraries
Conflicts:	GeoIP < 1.4.0-2

%description libs
GeoIP library.

%description libs -l pl
Biblioteka GeoIP.

%package devel
Summary:	Header files for GeoIP library
Summary(pl):	Pliki nagwkowe biblioteki GeoIP
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for GeoIP library.

%description devel -l pl
Pliki nagwkowe biblioteki GeoIP.

%package static
Summary:	Static GeoIP library
Summary(pl):	Statyczna biblioteka GeoIP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GeoIP library.

%description static -l pl
Statyczna biblioteka GeoIP.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%{__make} check

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/GeoIP.conf.default

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/GeoIP.conf
%{_mandir}/man1/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_datadir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: GeoIP.spec,v $
Revision 1.33  2007/01/24 10:32:34  arekm
- up to 1.4.1

Revision 1.32  2006/12/12 18:18:58  qboosh
- moved comment, cleanup

Revision 1.31  2006/12/12 17:14:54  wrobell
- rel. 3
- fixed linking

Revision 1.30  2006/10/25 13:19:20  qboosh
- no macro in Conflicts for old package

Revision 1.29  2006/10/25 13:16:06  blues
- added conflicts for earlier version

Revision 1.28  2006/10/25 12:04:05  blues
- separate libs to subpackage

Revision 1.27  2006/09/03 11:16:23  glen
- strict internal deps

Revision 1.26  2006/08/15 18:57:54  maciek2w
- updated to 1.4.0

Revision 1.25  2006/06/14 06:36:22  maciek2w
- updated to 1.3.17

Revision 1.24  2006/05/14 00:00:27  piti
- up to 1.3.16

Revision 1.23  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.22  2005/09/22 20:06:45  charles
- updated to 1.3.14

Revision 1.21  2005/08/26 14:53:12  megabajt
- up to 1.3.13

Revision 1.20  2005/07/25 09:10:57  blekot
- up to 1.3.12

Revision 1.19  2005/07/17 21:48:40  jasw
- up to 1.3.11 ver.

Revision 1.18  2005/06/13 16:00:30  megabajt
- updated to 1.3.10
- proper license

Revision 1.17  2004/11/18 18:53:47  jasw
- up ver. 1.3.8

Revision 1.16  2004/11/05 11:54:47  gotar
- updated to 1.3.7 (Mateusz Murawski)

Revision 1.15  2004/08/28 12:42:11  zergin
- added missing BR: zlib-devel (by Zbyniu Krzystolik)

Revision 1.14  2004/08/19 14:03:04  misi3k
- updated to 1.3.6

Revision 1.13  2004/06/10 12:52:46  undefine
- update to 1.3.4

Revision 1.12  2004/04/28 01:05:35  domelu
- updated to 1.3.2

Revision 1.11  2004/03/14 21:10:29  adamg
- release 1

Revision 1.10  2003/11/30 17:31:01  adamg
- updated to 1.3.1

Revision 1.9  2003/10/10 16:43:15  adamg
- updated to 1.3.0

Revision 1.8  2003/08/20 20:55:29  undefine
- update to 1.2.2

Revision 1.7  2003/07/30 05:04:26  adamg
- updated to 1.2.1

Revision 1.6  2003/07/11 13:15:14  ankry
- reversed last change

Revision 1.5  2003/07/11 12:28:22  ankry
- URL fixes and other cosmetics

Revision 1.4  2003/06/12 08:16:48  qboosh
- libtoolize (fixes libs), standard split, cosmetics

Revision 1.3  2003/06/12 08:00:23  adamg
- adapterized

Revision 1.2  2003/06/12 07:56:37  adamg
- added pl description
- do not require files that the we provide
- release 0.2

Revision 1.1  2003/06/11 23:49:25  adamg
- initial import
